Subject: Re: bug#29193: 26.0.90; Using (thing-at-point 'sexp) in flymake-diag-region might be suboptimal

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Dec 2020 17:29:48 +0200

On 18.12.2020 17:26, João Távora wrote:
> On Fri, Dec 18, 2020 at 3:22 PM Dmitry Gutov <[email-masked]> wrote:
>>
>> On 18.12.2020 13:42, João Távora wrote:
>>
>>> I think this is rather a thingatpt.el issue, which makes no mention of
>>> match-data destruction.  Regardless, it's decent enough to do that in
>>> flymake-diag-region so I pushed save-match-data a bit higher.
>>
>> By default we assume that any function can destroy match-data (and only
>> a certain set doesn't).
> 
> By that reasoning the problem should be solved in whoever called
> flymake-diag-region and wrongly assumed it would keep match data.

Yes.

> Doesn't a seem very friendly API tho (and no idea who it was, anyway).

Also true. So we can document that flymake-diag-region does indeed 
preserve match data.